/*************************************************************************
 *
 *
 *    (c) Copyright Olimex 2010
 *
 *    File name   : extcon_test_desc.c
 *    Description : External connectors test descriptions
 *
 *    History :
 *    1. Date        : 25, January 2010
 *       Author      : Aleksandar Mitev
 *       Description : Create
 *
 **************************************************************************/

#include "GenericTypeDefs.h"
#include "Compiler.h"
#include "extcon_test.h"

/* DESCRITION OF UEXT */
const ROM PIN mainPinUEXT = {GPIOB, 1, UEXT, 9};
const ROM PIN pinsUEXT[] = {
	   {GPIOC, 7, UEXT, 3},
	   {GPIOC, 6, UEXT, 4},
	   {GPIOA, 2, UEXT, 5}, //-> thermometer here SCL
	   {GPIOA, 3, UEXT, 6}, //-> thermometer here SDA
	   {GPIOC, 5, UEXT, 7}, //-> rf chip here MOSI
//	   {GPIOC, 4, UEXT, 8}, -> rf chip here MISO
	   {GPIOC, 3, UEXT, 9}, //-> rf chip here SCK
	   {GPIOA, 5, UEXT, 10}
};

ROM EXT_CON_DESC UEXT_desc = {
	&mainPinUEXT,
	pinsUEXT,
	ARRAY_NUMELEM(pinsUEXT),
};

/* END OF DESCRITION OF UEXT */





